# LogDoctor: VecOps Namespace Reference

Loading...
Searching...
No Matches
VecOps Namespace Reference

VecOps. More...

## Functions

template<typename T >
bool | contains (const std::vector< T > &list, const T &flag) noexcept
| Checks if a vector contains an element.

## Detailed Description

VecOps.

Utilities for the vectors

## Function Documentation

## contains()

template<typename T >

bool VecOps::contains | ( | const std::vector< T > & | list,
|  | const T & | flag )

inlinenoexcept

Checks if a vector contains an element.

Parameters

  list | The target vector
  flag | The element to search for

Returns
  Whether the list does contain the flag or not